<template>
    <div class="grid justify-center p-4">
        <a 
            :href="route('google.redirect')" 
            class="px-4 py-2 bg-gradient-to-r from-green-500 via-red-500 to-blue-500 hover:from-green-600 hover:via-red-600 hover:to-blue-600 border-0 shadow-lg rounded-lg text-white"
        >
            <slot />
        </a>
    </div>
</template>
